/*
	File:		StdPrefsTester.h

	Contains:	Header file for standard preferences library/component 
				tester routines.

				Refer to develop Issue 18, "The Right Way to Implement 
				Preferences Files", for details on this code.
				
	Written by:	Gary Woodcock

	Copyright:	 1993-94 by Apple Computer, Inc.

	Change History (most recent first):
	
				  3/3/94	Version 1.0.
	
	Notes: 		This code uses Apple's Universal Interfaces for C.
	
				Send bug reports to Gary Woodcock at AOL: gwoodcock
				or Internet: gwoodcock@aol.com.
*/

//-----------------------------------------------------------------------
// Includes

#ifndef	_STDPREFSTESTER_
#define	_STDPREFSTESTER_

//-----------------------------------------------------------------------
// Public constants

#define	kStdPrefsTesterCreator		'TSTR'
#define kDummyStdPrefsTesterCreator	'DMTS'
#define	kDummyPrefsFileType			'DMPF'
#define	kBogusPrefsFileType			'BGPF'
#define	kStdPrefsTesterBaseResID	128
#define	kAboutDialogID				kStdPrefsTesterBaseResID

// Menu stuff
#define	kMenuBarID	128
#define kAppleID	128
#define	kFileID		129
#define	kEditID		130
#define	kTestID		131

//-----------------------------------------------------------------------

#endif _STDPREFSTESTER_

//-----------------------------------------------------------------------
